<?php
/**
 * Users rules table
 *
 * @package Adaptive Addon
 */

?>


<script type="text/html" id="tmpl-ast-advanced-headers-saved-user-rule">
	<div class="ast-advanced-headers-saved-user-rule ast-advanced-headers-saved-rule">
		<div class="ast-advanced-headers-saved-rule-select">
			<select name="ast-advanced-headers-user-rule[]"  class="ast-advanced-headers-user-rule">
				<option value=""><?php esc_html_e( '选择...', 'adaptive-addon' ); ?></option>
				<?php foreach ( $rules as $adaptive_addon_group_key => $adaptive_addon_group_data ) : ?>
				<optgroup label="<?php echo esc_attr( $adaptive_addon_group_data['label'] ); ?>">
					<?php foreach ( $adaptive_addon_group_data['rules'] as $adaptive_addon_rule_key => $adaptive_addon_rule_data ) : ?>
								<option value='<?php echo gc_json_encode( $adaptive_addon_rule_data ); ?>' data-rule="<?php echo esc_attr( $adaptive_addon_rule_data['type'] . ':' . $adaptive_addon_rule_data['id'] ); ?>"><?php echo esc_html( $adaptive_addon_rule_data['label'] ); ?></option>
					<?php endforeach; ?>
				</optgroup>
				<?php endforeach; ?>
			</select>
		</div>
		<div class="ast-advanced-headers-remove-rule-button">
			<i class="ast-advanced-headers-remove-user-rule ast-advanced-headers-remove-rule dashicons dashicons-dismiss"></i>
		</div>
	</div>
</script>
