<?php
/**
 * Scroll To Top Template
 *
 * @package Adaptive Addon
 */

$adaptive_addon_scroll_top_alignment = adaptive_get_option( 'scroll-to-top-icon-position' );
$adaptive_addon_scroll_top_devices   = adaptive_get_option( 'scroll-to-top-on-devices' );
?>
<div id="ast-scroll-top" class="<?php echo esc_attr( apply_filters( 'adaptive_scroll_top_icon', 'ast-scroll-top-icon' ) ); ?> ast-scroll-to-top-<?php echo esc_attr( $adaptive_addon_scroll_top_alignment ); ?>" data-on-devices="<?php echo esc_attr( $adaptive_addon_scroll_top_devices ); ?>">
	<?php Adaptive_Icons::get_icons( 'arrow', true ); ?>
	<span class="screen-reader-text"><?php esc_html_e( '滚动到顶部', 'adaptive-addon' ); ?></span>
</div>
