<?php
/**
 * HTML component.
 *
 * @package     Adaptive Builder
 * @author      Brainstorm Force
 * @copyright   Copyright (c) 2020, Brainstorm Force
 * @link        https://www.brainstormforce.com
 * @since       Adaptive 3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define( 'ADAPTIVE_ADDON_EXT_HEADER_ACCOUNT_DIR', ADAPTIVE_EXT_DIR . 'classes/builder/type/header/account/' );

/**
 * Heading Initial Setup
 *
 * @since 3.0.0
 */
// @codingStandardsIgnoreStart
class Adaptive_Ext_Header_Account_Component {
 // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedClassFound
	// @codingStandardsIgnoreEnd

	/**
	 * Constructor function that initializes required actions and hooks
	 */
	public function __construct() {

		// @codingStandardsIgnoreStart GCThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
		require_once ADAPTIVE_ADDON_EXT_HEADER_ACCOUNT_DIR . 'classes/class-adaptive-ext-header-account-component-loader.php';
		// @codingStandardsIgnoreEnd GCThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
	}
}

/**
 *  Kicking this off by creating an object.
 */
new Adaptive_Ext_Header_Account_Component();

