/**
 * GeChiUI dependencies
 */
 import { __ } from '@gechiui/i18n';
 import { __experimentalGetSettings, format } from '@gechiui/date'; // eslint-disable-line

 export default function AstFormatDateLabel(
     date,
     fallback = __( 'Click To Pick Date', 'adaptive-addon' )
 ) {
     const dateSettings = __experimentalGetSettings();
     let label = fallback;

     if ( date ) {
         label = format(
             `${ dateSettings.formats.date } ${ dateSettings.formats.time }`,
             date
         );
     }

     return label;
 }
