<?php
/**
 * Blog Pro - Blog Layout 2 Template
 *
 * @todo Update this template for Default Blog Style
 *
 * @package Adaptive Addon
 */

?>
<div <?php adaptive_blog_layout_class( 'blog-layout-2' ); ?>>

	<div class="post-content <?php echo adaptive_attr( 'ast-grid-col-6' ); ?>">

		<?php adaptive_get_blog_post_title_meta(); ?>

		<div class="entry-content clear"
		<?php
				echo adaptive_attr(
					'article-entry-content-blog-layout-2',
					array(
						'class' => '',
					)
				);
				?>
				>

			<?php adaptive_entry_content_before(); ?>

			<?php adaptive_the_excerpt(); ?>

			<?php adaptive_entry_content_after(); ?>

			<?php
				gc_link_pages(
					array(
						'before'      => '<div class="page-links">' . esc_html( adaptive_default_strings( 'string-blog-page-links-before', false ) ),
						'after'       => '</div>',
						'link_before' => '<span class="page-link">',
						'link_after'  => '</span>',
					)
				);
				?>
		</div><!-- .entry-content .clear -->
	</div><!-- .post-content -->

	<?php $adaptive_addon_featured_item = apply_filters( 'adaptive_featured_image_enabled', true ); ?>
	<?php if ( $adaptive_addon_featured_item ) : ?>
		<?php
		// Blog Post Featured Image.
			adaptive_get_post_thumbnail( '<div class="ast-blog-featured-section post-thumb ' . adaptive_attr( 'ast-grid-col-6' ) . '">', '</div>' );
		?>
	<?php endif; ?>

</div> <!-- .blog-layout-2 -->
