<?php
/**
 * WooCommerce - Header Template
 *
 * @package Adaptive Addon
 */

?>
<header itemtype="https://schema.org/GCHeader" itemscope="itemscope" id="masthead" <?php adaptive_header_classes(); ?>>
<?php do_action( 'adaptive_woo_checkout_masthead_top' ); ?>
	<div class="main-header-bar-wrap">
		<div class="main-header-bar">
			<?php do_action( 'adaptive_woo_checkout_main_header_bar_top' ); ?>
			<div class="ast-container">
				<div class="ast-flex main-header-container">
					<div class="site-branding">
						<div class="ast-site-identity" itemscope="itemscope" itemtype="https://schema.org/Organization">
							<?php adaptive_logo(); ?>
						</div>
					</div>
				</div><!-- Main Header Container -->
			</div><!-- ast-row -->
			<?php do_action( 'adaptive_woo_checkout_main_header_bar_bottom' ); ?>
		</div> <!-- Main Header Bar -->
	</div> <!-- Main Header Bar Wrap -->
<?php do_action( 'adaptive_woo_checkout_masthead_bottom' ); ?>
</header><!-- #masthead -->
