<?php
/**
 * Adaptive Theme Extension
 *
 * @package Adaptive Addon
 */

if ( ! function_exists( 'adaptive_get_theme_name' ) ) :

	/**
	 * Get theme name.
	 *
	 * @return string Theme Name.
	 */
	function adaptive_get_theme_name() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound

		$theme_name = __( 'Adaptive', 'adaptive-addon' );

		return apply_filters( 'adaptive_theme_name', $theme_name ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedHooknameFound
	}
endif;
